org.apache.jmeter.protocol.jms.sampler

## Interface QueueExecutor

All Known Implementing Classes:
  FixedQueueExecutor, TemporaryQueueExecutor

    public interface QueueExecutor

Executor for (pseudo) synchronous communication.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Close the resources
`javax.jms.Message` `sendAndReceive(javax.jms.Message request, int deliveryMode, int priority, long expiration)` Sends and receives a message.

### Method Detail

#### sendAndReceive

    javax.jms.Message sendAndReceive(javax.jms.Message request,
                                     int deliveryMode,
                                     int priority,
                                     long expiration)
                              throws javax.jms.JMSException

Sends and receives a message.

Parameters:
  `request` - the message to send
  `deliveryMode` - the delivery mode to use
  `priority` - the priority for this message
  `expiration` - messages lifetime in ms
Returns:
  the received message or `null`
Throws:
  `javax.jms.JMSException` - in case of an exception from the messaging system

#### close

    void close()
        throws javax.jms.JMSException

Close the resources

Throws:
  `javax.jms.JMSException` - in case of an exception from the messaging system